<div id="register">
  <div class="container">
      <div id="register-row" class="row justify-content-center align-items-center">
          <%= render "devise/shared/error_messages", resource: resource %>
          <div id="register-column" class="col-md-6">
              <div id="register-box" class="col-md-12">
                  <%= form_for(resource, as: resource_name, url: registration_path(resource_name), multipart: true) do |f| %>
                      <h3 class="text-center text-info">Register</h3>
                      <div class="form-group">
                          <label for="username" class="text-info">Name:</label><br>
                          <%= f.text_field :name, :class => "form-control" %>
                      </div>
                      <div class="form-group">
                          <label for="username" class="text-info">Email:</label><br>
                          <%= f.email_field :email, autofocus: true, autocomplete: "email", :class => "form-control" %>
                      </div>
                      <div class="form-group">
                          <label for="password" class="text-info">Password:</label><br>
                          <%= f.password_field :password, autocomplete: "current-password", :class => "form-control" %>
                          <% if @minimum_password_length %>
                          <em>(<%= @minimum_password_length %> characters minimum)</em>
                          <% end %><br />
                      </div>
                      <div class="form-group">
                          <label for="username" class="text-info">Confirm Password:</label><br>
                          <%= f.password_field :password_confirmation, autocomplete: "new-password", :class => "form-control" %>
                      </div>
                      <!-- <div class="form-group">
                          <label for="username" class="text-info">Confirm Password:</label><br>
                          <%#= f.password_field :password_confirmation, autocomplete: "new-password", :class => "form-control" %>
                      </div>
 -->

                        <% resource.build_address if resource.address.blank? %>
                        <%= f.fields_for :address do |address| %>
                            <div class="form-group">
                              <label for="username" class="text-info">Address Line:</label><br>
                              <%= address.text_field :address_line, :class => "form-control" %>
                            </div>

                            <div class="form-group">
                              <label for="username" class="text-info">Street:</label><br>
                              <%= address.text_field :street, :class => "form-control" %>
                            </div>

                            <div class="form-group">
                              <label for="username" class="text-info">Landmark:</label><br>
                              <%= address.text_field :landmark, :class => "form-control" %>
                            </div>
                            
                            <div class="form-group">
                              <label for="username" class="text-info">State:</label><br>
                              <%#= address.text_field :state, :class => "form-control" %>
                               <%= address.select :state, options_for_select(get_options, address.object.state), {:prompt => "Select State" },  :class=>'form-control select2' %>

                              <%#= select_tag :main_cat_id, options_from_collection_for_select(@main_categories, "id", "name", (@category.ancestry rescue product.main_cat_id)), :class => 'select2 form-control', :prompt => "Select a main category" %>
                            </div>

                            <div class="form-group">
                              <label for="username" class="text-info">City:</label><br>
                              <%#= address.text_field :city, :class => "form-control" %>
                              <%= address.select(:city, (CS.cities(address.object.state, :in).to_a), {selected: address.object.city}, { :class => 'select2 form-control', "data-option-dependent" => true, "data-option-observed" => "user_address_attributes_state", "data-option-url" => "/home/:state:/cities.json", "data-option-key-method" => :id,"data-option-value-method" => :name }) %>
                            </div>


                            <div class="form-group">
                              <label for="username" class="text-info">Pincode:</label><br>
                              <%= address.text_field :pincode, :class => "form-control" %>
                            </div>      

                            <div class="form-group">
                              <label for="username" class="text-info">Phone No:</label><br>
                              <%= address.text_field :phone_no, :class => "form-control" %>
                            </div>
                        <% end %>

                      <div class="form-group">
                          <label for="pp" class="text-info">Profile Picture:</label><br>
                          <%= f.file_field :profile_picture, :class => "form-control" %>
                      </div>

                      <div class="form-group">
                          <!-- <label for="remember-me" class="text-info"><span>Remember me</span> <span><input id="remember-me" name="remember-me" type="checkbox"></span></label><br> -->
                          <input type="submit" name="submit" class="btn btn-info btn-md" value="submit">
                      </div>
                      <div id="register-link" class="text-right">
                          <a href="<%= new_user_session_path() %>" class="text-info">Login here</a>
                      </div>
                  <% end %>
              </div>
          </div>
      </div>
  </div>
</div>








